/*
                           Open Callback Data

	The Open Callback Data is used by the GtkMenuItems of the Open
	To GtkMenus to open the selected objects on the File Browser
	or Image Browser.
 */

#ifndef EDV_OPEN_CB_H
#define EDV_OPEN_CB_H

#include <glib.h>
#include "edv_types.h"


typedef struct _edv_open_cb_data_struct	edv_open_cb_data_struct;
#define EDV_OPEN_CB_DATA(p)		((edv_open_cb_data_struct *)(p))


/*
 *	Open Callback Data:
 */
struct _edv_open_cb_data_struct {

	EDVCore	*core;
	gchar		*command_name;		/* EDVMIMETypeCommand
						 * name */

	/* Get paths list callback, to request the window's list of
	 * selected object paths
	 */
	GList		*(*paths_list_get_cb)(
		gpointer			/* Data */
	);
	gpointer	paths_list_get_data;

	/* Go to directory callback, to tell the window to go to the
	 * specified directory
	 */
	void		(*goto_directory_cb)(
		gpointer,			/* Data */
		const gchar *			/* Path */
	);
	gpointer	goto_directory_data;

        GtkWidget	*toplevel;
	gboolean	verbose;

};


extern edv_open_cb_data_struct *EDVOpenCBDataNew(void);
extern void EDVOpenCBDataDelete(edv_open_cb_data_struct *d);

extern void EDVOpenCB(GtkWidget *widget, gpointer data);


#endif	/* EDV_OPEN_CB_H */
