/*
		Endeavour Image Browser Operation Callbacks
 */

#ifndef IMBR_OP_CB_H
#define IMBR_OP_CB_H

#include <gtk/gtk.h>
#include "tool_bar.h"
#include "edv_types.h"
#include "libendeavour2-base/edv_vfs_obj.h"
#include "edv_device.h"
#include "edv_mount_bar.h"
#include "edv_find_bar.h"
#include "edv_status_bar.h"
#include "imbr.h"


extern void EDVImbrOPCB(
	ToolBarItem *item,
	const gint id,
	gpointer data
);
extern void EDVImbrOPEnterCB(
	ToolBarItem *item,
	const gint id,
	gpointer data
);
extern void EDVImbrOPLeaveCB(
	ToolBarItem *item,
	const gint id,
	gpointer data
);

extern void EDVImbrOPClose(edv_imbr_struct *imbr);
extern void EDVImbrOPExit(edv_imbr_struct *imbr);

extern void EDVImbrOPSyncDisks(edv_imbr_struct *imbr);
extern void EDVImbrOPRun(edv_imbr_struct *imbr);
extern void EDVImbrOPWriteProtect(edv_imbr_struct *imbr);
extern void EDVImbrOPDeleteMethodRecycle(edv_imbr_struct *imbr);
extern void EDVImbrOPDeleteMethodPurge(edv_imbr_struct *imbr);

extern void EDVImbrOPNewObjectMenu(
	edv_imbr_struct *imbr, ToolBarItem *item
);
extern void EDVImbrOPNewFile(edv_imbr_struct *imbr);
extern void EDVImbrOPNewDirectory(edv_imbr_struct *imbr);
extern void EDVImbrOPNewLink(edv_imbr_struct *imbr);
extern void EDVImbrOPNewFifo(edv_imbr_struct *imbr);
extern void EDVImbrOPNewDeviceBlock(edv_imbr_struct *imbr);
extern void EDVImbrOPNewDeviceCharacter(edv_imbr_struct *imbr);
extern void EDVImbrOPNewSocket(edv_imbr_struct *imbr);

extern void EDVImbrOPOpen(edv_imbr_struct *imbr);
extern void EDVImbrOPOpenWith(edv_imbr_struct *imbr);

extern void EDVImbrOPCopyPath(edv_imbr_struct *imbr);
extern void EDVImbrOPCopyURL(edv_imbr_struct *imbr);
extern void EDVImbrOPPaste2(
	edv_imbr_struct *imbr,
	EDVVFSObject *obj
);
extern void EDVImbrOPPaste(edv_imbr_struct *imbr);

extern void EDVImbrOPMove(edv_imbr_struct *imbr);
extern void EDVImbrOPCopy(edv_imbr_struct *imbr);
extern void EDVImbrOPLink(edv_imbr_struct *imbr);
extern void EDVImbrOPRename(edv_imbr_struct *imbr);
extern void EDVImbrOPChMod(edv_imbr_struct *imbr);
extern void EDVImbrOPChOwn(edv_imbr_struct *imbr);
extern void EDVImbrOPChTime(edv_imbr_struct *imbr);
extern void EDVImbrOPDelete(edv_imbr_struct *imbr);
extern void EDVImbrOPProperties(edv_imbr_struct *imbr);

extern void EDVImbrOPSelectAll(edv_imbr_struct *imbr);
extern void EDVImbrOPUnselectAll(edv_imbr_struct *imbr);
extern void EDVImbrOPInvertSelection(edv_imbr_struct *imbr);

extern void EDVImbrOPDownload(edv_imbr_struct *imbr);

extern void EDVImbrOPRefresh(edv_imbr_struct *imbr);
extern void EDVImbrOPRefreshAll(edv_imbr_struct *imbr);

extern void EDVImbrOPStop(edv_imbr_struct *imbr);
extern void EDVImbrOpContinue(edv_imbr_struct *imbr);
extern void EDVImbrOpPresentationMode(edv_imbr_struct *imbr);

extern void EDVImbrOpAnimationMenu(
	edv_imbr_struct *imbr,
	ToolBarItem *item
);
extern void EDVImbrOpAnimationPlay(edv_imbr_struct *imbr);
extern void EDVImbrOpAnimationPause(edv_imbr_struct *imbr);
extern void EDVImbrOpAnimationPreviousFrame(edv_imbr_struct *imbr);
extern void EDVImbrOpAnimationNextFrame(edv_imbr_struct *imbr);

extern void EDVImbrOpRotateTransformMenu(
	edv_imbr_struct *imbr,
	ToolBarItem *item
);
extern void EDVImbrOpRotateCW90(edv_imbr_struct *imbr);
extern void EDVImbrOpRotateCCW90(edv_imbr_struct *imbr);
extern void EDVImbrOpRotateCW180(edv_imbr_struct *imbr);
extern void EDVImbrOpMirrorHorizontal(edv_imbr_struct *imbr);
extern void EDVImbrOpMirrorVertical(edv_imbr_struct *imbr);

extern void EDVImbrThumbsListFilter(edv_imbr_struct *imbr);

extern void EDVImbrOPMIMETypes(edv_imbr_struct *imbr);
extern void EDVImbrOPDevices(edv_imbr_struct *imbr);


#endif	/* IMBR_OP_CB_H */
