#ifndef RECBIN_CB_H
#define RECBIN_CB_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "edv_mime_type.h"
#include "recbin.h"


/* GTK+ Signal Callbacks */
extern void EDVRecBinRealizeCB(GtkWidget *widget, gpointer data);
extern gint EDVRecBinDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern gint EDVRecBinKeyEventCB(
	 GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint EDVRecBinEnterNotifyEventCB(
	 GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);
extern gint EDVRecBinLeaveNotifyEventCB(
	 GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);
extern gint EDVRecBinButtonPressEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);

extern void EDVRecBinHandleChildAttachedCB(
	GtkHandleBox *handle_box, GtkWidget *child, gpointer data
);
extern void EDVRecBinHandleChildDetachedCB(
	GtkHandleBox *handle_box, GtkWidget *child, gpointer data
);

extern void EDVRecBinResizeColumnCB(
	GtkCList *clist, gint column, gint width, gpointer data
);
extern void EDVRecBinClickColumnCB(
	GtkCList *clist, gint column, gpointer data
);
extern void EDVRecBinSelectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void EDVRecBinUnselectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);

/* Menu Item Callbacks */
extern void EDVRecBinMenuItemCB(GtkWidget *widget, gpointer data);
extern gint EDVRecBinMenuItemEnterCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);
extern gint EDVRecBinMenuItemLeaveCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);

/* Find Bar Callbacks */
extern void EDVRecBinFindBarStartCB(
	GtkWidget *bar,
	gpointer data
);
extern void EDVRecBinFindBarEndCB(
	GtkWidget *bar,
	const gint nmatches,
	gpointer data
);
extern void EDVRecBinFindBarMatchCB(
	GtkWidget *bar,
	const gchar *path,
	GList *properties_list,
	const gint line_index,
	const gchar *excerpt,
	gpointer data
);

/* Status Bar Callbacks */
extern void EDVRecBinStatusMessageCB(
	GtkWidget *widget,
	const gchar *message,
	gpointer data
);
extern void EDVRecBinStatusProgressCB(
	GtkWidget *widget,
	const gfloat progress,
	gpointer data
);

/* Window Created/Deleted Callbacks */
extern void EDVRecBinWindowCreatedCB(
	edv_recbin_struct *recbin,
	const EDVWindowType win_type,
	gpointer win
);
extern void EDVRecBinWindowDeletedCB(
	edv_recbin_struct *recbin,
	const EDVWindowType win_type,
	gpointer win
);

/* Master Write Protect Changed Callback */
extern void EDVRecBinWriteProtectChangedCB(
	edv_recbin_struct *recbin,
	const gboolean state
);

/* Delete Methodt Changed Callback */
extern void EDVRecBinDeleteMethodChangedCB(
	edv_recbin_struct *recbin,
	const EDVDeleteMethod delete_method
);

/* Recycled Object Callbacks */
extern void EDVRecBinRecycledObjectAddedNotifyCB(
	edv_recbin_struct *recbin,
	const guint index
);
extern void EDVRecBinRecycledObjectModifiedNotifyCB(
	edv_recbin_struct *recbin,
	const guint index
);
extern void EDVRecBinRecycledObjectRemovedNotifyCB(
	edv_recbin_struct *recbin,
	const guint index
);

/* Reconfigured Callback */
extern void EDVRecBinReconfiguredNotifyCB(edv_recbin_struct *recbin);

/* MIME Type Callbacks */
extern void EDVRecBinMimeTypeAddedCB(
	edv_recbin_struct *recbin,
	const gint mt_num, EDVMIMEType *mt
);
extern void EDVRecBinMimeTypeModifiedCB(
	edv_recbin_struct *recbin,
	const gint mt_num, EDVMIMEType *mt
);
extern void EDVRecBinMimeTypeRemovedCB(
	edv_recbin_struct *recbin,
	const gint mt_num
);


#endif	/* RECBIN_CB_H */
