/*
		 Endeavour Recycle Bin Contents List
 */

#ifndef RECBIN_CONTENTS_H
#define RECBIN_CONTENTS_H

#include <gtk/gtk.h>
#include "recbin.h"


/* Columns */
extern gint EDVRecBinContentsGetColumnIndexByType(
        edv_recbin_struct *recbin,
        const edv_recbin_column_type column_type
);
extern gint EDVRecBinContentsGetColumnWidthByType(
        edv_recbin_struct *recbin,
        const edv_recbin_column_type column_type
);
extern edv_recbin_column_type EDVRecBinContentsGetColumnTypeByIndex(
        edv_recbin_struct *recbin,
        const gint column_num
);
extern void EDVRecBinContentsSetColumnWidthByType(
        edv_recbin_struct *recbin,
        const edv_recbin_column_type column_type,
        const gint width
);
extern void EDVRecBinContentsResizeColumnOptimul(
	edv_recbin_struct *recbin,
	const gint column_num
);
extern void EDVRecBinContentsResizeColumnsOptimul(edv_recbin_struct *recbin);

/* Finding */
extern gint EDVRecBinContentsFindRowByIndex(
	edv_recbin_struct *recbin,
	const guint index
);

/* Realize Listing */
extern void EDVRecBinContentsRealizeListing(edv_recbin_struct *recbin);

/* Get Listing */
extern void EDVRecBinContentsGetListing(
	edv_recbin_struct *recbin,
	const gboolean show_progress
);
extern void EDVRecBinContentsClear(edv_recbin_struct *recbin);

/* Rename */
extern void EDVRecBinContentsPromptRename(
        edv_recbin_struct *recbin,
	const gint row, const gint column
);

/* Callbacks */
extern void EDVRecBinContentsObjectAddedCB(
	edv_recbin_struct *recbin,
	const guint index
);
extern void EDVRecBinContentsObjectModifiedCB(
	edv_recbin_struct *recbin,
	const guint index
);
extern void EDVRecBinContentsObjectRemovedCB(
	edv_recbin_struct *recbin,
	const guint index
);


#endif	/* RECBIN_CONTENTS_H */
