/*
		       Recycle Bin Desktop Icon
 */

#ifndef RECBIN_DESKTOP_ICON_H
#define RECBIN_DESKTOP_ICON_H

#include <gtk/gtk.h>
#include "edv_types.h"


typedef struct _edv_recbin_desktop_icon_struct edv_recbin_desktop_icon_struct;
#define EDV_RECBIN_DESKTOP_ICON(p)	((edv_recbin_desktop_icon_struct *)(p))


/*
 *	Recycle Bin Desktop Icon:
 */
struct _edv_recbin_desktop_icon_struct {

	GtkWidget	*desktop_icon;

	EDVCore		*core;

	/* Last known items in recycle bin, this is used as a quick
	 * access value to check if the recycle bin has contents or
	 * not
	 *
	 * Can be -1 to indicate undefined
	 */
	gint		last_nrecycle_bin_items;

};


extern edv_recbin_desktop_icon_struct *EDVRecBinDeskIconNew(
	EDVCore *core
);
extern void EDVRecBinDeskIconUpdate(edv_recbin_desktop_icon_struct *rbdi);
extern void EDVRecBinDeskIconMap(edv_recbin_desktop_icon_struct *rbdi);
extern void EDVRecBinDeskIconUnmap(edv_recbin_desktop_icon_struct *rbdi);
extern void EDVRecBinDeskIconDelete(edv_recbin_desktop_icon_struct *rbdi);


#endif	/* RECBIN_DESKTOP_ICON_H */
